/**
 * Account settings route
 *
 * @author Pierre Hubert
 */

import React from "react";
import { useParams } from "react-router-dom";

export function AccountSettingsRoute() {
	let params: any = useParams();

	return <AccountSettingsRouteInner id={Number(params.id)} />;
}

interface SettingsRouteProps {
	id: number;
}

interface SettingsRouteState {}

class AccountSettingsRouteInner extends React.Component<
	SettingsRouteProps,
	SettingsRouteState
> {
	constructor(props: any) {
		super(props);

		this.state = {};
	}

	render() {
		return <div>"hello {this.props.id}</div>;
	}
}
